MKNOD(1)

NAME
mknod - make block or character special files

SYNOPSIS
mknod [OPTION]... NAME TYPE [MAJOR MINOR]

DESCRIPTION

Create the special file NAME of the given TYPE.

-Z, --context=CTX
    set the SELinux security context of NAME to CTX

Mandatory arguments to long options are mandatory for short options too.

-m, --mode=MODE
    set file permission bits to MODE, not a=rw - umask

--help
    display this help and exit

--version
    output version information and exit

Both MAJOR and MINOR must be specified when TYPE is b, c, or u, and they must be omitted when TYPE is p. If MAJOR or MINOR begins with 0x or 0X, it is interpreted as hexadecimal; otherwise, if it begins with 0, as octal; otherwise, as decimal. TYPE may be:

b   create a block (buffered) special file

c, u
    create a character (unbuffered) special file

p   create a FIFO

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
mknod(2)

The full documentation for mknod is maintained as a Texinfo manual. If the info and mknod programs are properly installed at your site, the command

    info mknod

should give you access to the complete manual.